LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 12-02-2008, 11:46 PM   #1
cheehongjb
LQ Newbie
 
Registered: Dec 2008
Posts: 12

Rep: Reputation: 0
problem on update RHAS 4 patch


Dear Expert,

currently i was trying to update the patched,
but i hit the error below, and can't understand where is the problem and how to solve.

anyone kindly guide me how to solve this.

warning: xorg-x11-devel-6.8.2-1.EL.13.6.i386.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
xorg-x11-libs = 6.8.2-1.EL.13.6 is needed by xorg-x11-devel-6.8.2-1.EL.13.6.i386
warning: xorg-x11-deprecated-libs-devel-6.8.2-1.EL.13.6.i386.rpm: V3 DSA signature: NOKEY, key ID db42a60e
error: Failed dependencies:
xorg-x11-deprecated-libs = 6.8.2-1.EL.13.6 is needed by xorg-x11-deprecated-libs-devel-6.8.2-1.EL.13 .6.i386
xorg-x11-devel = 6.8.2-1.EL.13.6 is needed by xorg-x11-deprecated-libs-devel-6.8.2-1.EL.13.6.i386

thanks

best regards
terence
 
Old 12-03-2008, 04:00 AM   #2
kenneho
Member
 
Registered: May 2003
Location: Oslo, Norway
Distribution: Ubuntu, Red Hat Enterprise Linux
Posts: 655

Rep: Reputation: 40
Hi.

Seems like you've got two problems:
1) You don't have the publib key for the packages installed.
2) The pacage you're trying to install depend on other packages to be installed first.

Can you paste in the command you used when you got this error message?
 
Old 12-03-2008, 08:08 PM   #3
cheehongjb
LQ Newbie
 
Registered: Dec 2008
Posts: 12

Original Poster
Rep: Reputation: 0
Hi

thanks for your reply, actually what i m doing is,

rpm -ihv compat-oracle-rhel4-1.0-5.i386.rpm
rpm -ihv compat-libcwait-2.1-1.i386.rpm

in order for me to run oracle installation.
and in order for this 2 command to run successfully. it depend on some other file.

so i run :-
rpm -ihv xorg-x11-devel-6.8.1-23.EL.i386.rpm
and
rpm -ihv xorg-x11-deprecated-libs-devel-6.8.1-23.EL.i386.rpm

then i hit the error while i run it the dependance file from the patch name i receive in folder RPMforLinux4.




Quote:
Originally Posted by kenneho View Post
Hi.

Seems like you've got two problems:
1) You don't have the publib key for the packages installed.
2) The pacage you're trying to install depend on other packages to be installed first.

Can you paste in the command you used when you got this error message?
 
Old 12-04-2008, 05:16 AM   #4
kenneho
Member
 
Registered: May 2003
Location: Oslo, Norway
Distribution: Ubuntu, Red Hat Enterprise Linux
Posts: 655

Rep: Reputation: 40
You must make sure that these packages are installed before you can run the commands you pasted in:
  • xorg-x11-libs
  • xorg-x11-deprecated-libs
  • xorg-x11-devel

Which linux distro are you using? You can try and issue commands like this
Code:
yum localinstall xorg-x11-devel-6.8.1-23.EL.i386.rpm
yum localinstall xorg-x11-deprecated-libs-devel-6.8.1-23.EL.i386.rpm
assuming you have the packages downloaded.

And you need to install the public key. What does "rpm -K <package name>" output?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
patch problem - can't find file to patch jnutt Linux - Kernel 3 02-10-2010 03:45 PM
Kernel Patch Update Rahul Kolan Linux - Hardware 2 08-27-2008 02:59 PM
No upgrade after patch update? mokele Slackware 10 11-01-2005 04:54 PM
update and patch how to salahuddin_66 Slackware 2 06-01-2004 10:31 AM
problems with a rhas patch upgrade msteudel Linux - Software 2 02-26-2004 12:21 PM


All times are GMT -5. The time now is 12:06 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration